Author Topic: Howto find my sparky version  (Read 1825 times)

Offline ElQuia

  • Full Member
  • ***
  • Posts: 100
Howto find my sparky version
« on: September 06, 2014, 09:44:09 pm »
Hi sorry for the noob question.  I had installed 3.4.1 in a VBox (3.12) machine. Just did a full dist upgrade, my kernel is now 3.14 something but:
How can I find if my sparky is 3.5?
lsb_release -a   gives me this:

No LSB modules are available.
Distributor ID:   Debian
Description:   Debian GNU/Linux testing (jessie)
Release:   testing
Codename:   jessie
root@sparkyqtpab:/home/pablo#

OTHER noob: Which are the repos I should be using? could you point me to a list?
OTHER: Is there an automatic or semi automatic way of adding all 3.5 new goodies? I mannually added sparky aptplus extra but when trying to install skype it gives an error, install ok skype from synaptic

uname -a gives me this:
Linux sparkyqtpab 3.14-2-486 #1 Debian 3.14.15-2 (2014-08-09) i686 GNU/Linux


Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1582
    • SparkyLinux
Re: Howto find my sparky version
« Reply #1 on: September 06, 2014, 11:28:22 pm »
That's right.
Sparky is a pure (in 99%) Debian testing so it shows Debian.

The most important repos are:
- Debian testing
- Sparky testing
Rest of them is a question of your choice.

There is no semi or full automatic ways to add the new features.
Everything is in our repos so install what you like.

Quote
when trying to install skype it gives an error,
I will check it, thank's.
Just tell me what version of Sparky you have? 3.4.1 is 64 bit, but your uname -a shows i486.
Nothing is easy as it looks.
Danielle Steel

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1582
    • SparkyLinux
Re: Howto find my sparky version
« Reply #2 on: September 07, 2014, 12:59:32 am »
The 'skype' installation is fixed in 'sparky-aptus-extra' 0.1.3
Thank's again for reporting that.
Nothing is easy as it looks.
Danielle Steel

Offline way12go

  • Sr. Member
  • ****
  • Posts: 477
  • Life = Changing the meaning of failure.
Re: Howto find my sparky version
« Reply #3 on: September 07, 2014, 05:09:13 am »
Mine shows

Linux android 3.14-2-amd64 #1 SMP Debian 3.14.15-2 (2014-08-09) x86_64 GNU/Linux
Life = Changing the meaning of failure. by Sagar Gorijala.

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1582
    • SparkyLinux
Re: Howto find my sparky version
« Reply #4 on: September 07, 2014, 05:12:02 pm »
That's fine.
It should be like that.
Nothing is easy as it looks.
Danielle Steel

Offline way12go

  • Sr. Member
  • ****
  • Posts: 477
  • Life = Changing the meaning of failure.
Re: Howto find my sparky version
« Reply #5 on: September 23, 2014, 01:28:32 pm »
I dist-upgraded the sparkylinux. Why doesn't it show as 3.15?
Life = Changing the meaning of failure. by Sagar Gorijala.

Offline way12go

  • Sr. Member
  • ****
  • Posts: 477
  • Life = Changing the meaning of failure.
Re: Howto find my sparky version
« Reply #6 on: September 23, 2014, 01:29:42 pm »

uname -a

Linux android 3.14-2-amd64 #1 SMP Debian 3.14.15-2 (2014-08-09) x86_64 GNU/Linux
Life = Changing the meaning of failure. by Sagar Gorijala.

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1582
    • SparkyLinux
Re: Howto find my sparky version
« Reply #7 on: September 23, 2014, 03:18:34 pm »
Code: [Select]
I dist-upgraded the sparkylinux. Why doesn't it show as 3.15?Because Sparky iso installs Debian testing with some desktop modifications and my apps. 
Every upgrade will upgrade Debian testing for... Debian testing :)
Nothing is easy as it looks.
Danielle Steel

Offline way12go

  • Sr. Member
  • ****
  • Posts: 477
  • Life = Changing the meaning of failure.
Re: Howto find my sparky version
« Reply #8 on: September 24, 2014, 08:47:13 am »
distupgrade---> That is why sparkybackup dist iso does show debain desktop and debian LxDE look instead of sparkylinux's version.
Life = Changing the meaning of failure. by Sagar Gorijala.